Bug 31569 - internal compiler error while building on m68k from .src.rpm
Summary: internal compiler error while building on m68k from .src.rpm
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-12 21:24 UTC by Jason Duerstock
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 21:24:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Duerstock 2001-03-12 21:24:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


I get an internal compiler error when trying to build gcc-2.96-77.1 on my 
m68k.


Reproducible: Always
Steps to Reproduce:
1.rpm -ivh gcc-2.96-77.1.src.rpm
2.rpm -ba SPECS/gcc.spec
3.wait for smoking ruin
	

Actual Results:  
./xgcc -B./ -B/usr/m68k-unknown-linux/bin/ -isystem /usr/m68k-unknown-
linux/include -O2   -DIN_GCC    -g -W -Wall  -Wwrite-strings -Wstrict-
prototypes -Wmissing-prototypes  -Wno-long-long -isystem ./include  -fPIC -
g1 -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -I. -
I../../gcc -I../../gcc/config -I../../gcc/../include  -DL_bb -
c ../../gcc/libgcc2.c -o libgcc/./_bb.o
../../gcc/libgcc2.c:1348: warning: function declaration isn't a prototype
../../gcc/libgcc2.c: In function `__bb_trace_func':
../../gcc/libgcc2.c:2208: Internal compiler error in find_auto_inc, at 
flow.c:4999
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  It should have produced a gcc-2.96-77.1.m68k.rpm

Comment 1 Jakub Jelinek 2001-03-13 10:13:04 UTC
Sorry, but the only supported architectures by gcc-2.96-RH are the ones I have
access to, which means ia32, ia64, alpha and sparc. Try gcc-3_0-branch and if
that does not work for you, submit a bugreport in gcc GNATS.


Note You need to log in before you can comment on or make changes to this bug.